/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

package org.glite.ce.authn.db;


import java.util.GregorianCalendar;

import org.glite.ce.common.db.DatabaseException;
import org.glite.ce.commonj.authn.AuthNException;
import org.glite.ce.commonj.authn.db.AuthenticationDBManager;


/**
 * Class to test command management with respect to the dB.
 *
 */
public final class AuthenticationTest {
   
	public static void main(String[] args) throws Exception {
	    test1();
	}
	
	/**
	 * Tests simple CRUD operations on commands.
	 * - insert
	 * - insert
	 * - update (set true the scheduled flag)
	 * - load
	 * - delete
	 * @throws DatabaseException
	 * @throws IllegalArgumentException
	 * @throws AuthNException
	 */
	private static void test1() throws DatabaseException, IllegalArgumentException, AuthNException {
	    AuthenticationDBManager manager = new AuthenticationDBManager(null);
	    String userId = "RRRRRRRRR";
	    //manager.setUserAuthNCertificate(userId, "Delenda ...", new GregorianCalendar());
	    //System.out.println("Set certificate for userId = " + userId);
        boolean present = manager.isUserIdPresent(userId);
        System.out.println("userId is present = " + present);
        //manager.setUserAuthNCertificate(userId, "Ut melior ...", new GregorianCalendar());
        //System.out.println("Set certificate for userId = " + userId);
        // AuthenticationInfo info = manager.getAuthenticationInfo(userId);
        System.out.println("info.getAuthNCert() = " + manager.getUserAuthNCertificate(userId));
        System.out.println("info.getExpirationTime() = " + manager.getUserAuthNCertificateExpirationTime(userId));
        System.out.println("info.getModificationTime() = " + manager.getLastUserAuthNCertificateUpdateTime(userId));
        
//        if (present) {
//            manager.deleteUserAuthNCertificate(userId);
//            System.out.println("userId = " + userId + " deleted");
//        }
	}
}
