/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

package org.glite.ce.cream.cmdmanagement.queue.db;

import org.glite.ce.creamapi.cmdmanagement.Command;
import org.glite.ce.creamapi.cmdmanagement.queue.CommandQueueException;

public class Dequeuer implements Runnable {
    
    private CommandQueueDBManager queueManager = null;

    public void run() {
        try {
            Command cmd = getCommand("userY");
            String cmdId = "130";
            queueManager.dequeueCommand(cmdId);
            System.out.println("D command with cmdId = " + cmdId);

        } catch (IllegalArgumentException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        } catch (CommandQueueException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
    }
    
    /**
     * Returns a dummy Command.
     * @param userId The userId to set.
     * @return a dummy Command.
     */
    public static Command getCommand(String userId) {
        Command cmd = new Command("Test Command");
        cmd.setUserId(userId);
        return cmd;
    }

    public Dequeuer(CommandQueueDBManager queueManager) {
        super();
        this.queueManager = queueManager;
    }
}
